summaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib/preinit/10_check_for_mtd
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-01-25 17:11:17 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-01-25 17:11:17 +0000
commita9929695c6ad0779eaa8cb3d68d37760981d55b7 (patch)
tree2f48135bc4a364cacd3ce07355213d4e32a9141f /package/base-files/files/lib/preinit/10_check_for_mtd
parent99c311e86cd7b0ed809a7994eb618819785a6223 (diff)
add preinit modularization work by Daniel Dickinson (cshore)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@19331 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files/lib/preinit/10_check_for_mtd')
-rw-r--r--package/base-files/files/lib/preinit/10_check_for_mtd20
1 files changed, 20 insertions, 0 deletions
diff --git a/package/base-files/files/lib/preinit/10_check_for_mtd b/package/base-files/files/lib/preinit/10_check_for_mtd
new file mode 100644
index 000000000..e1f3c07a2
--- /dev/null
+++ b/package/base-files/files/lib/preinit/10_check_for_mtd
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+mount_no_mtd() {
+ mtd unlock rootfs
+ mount -o remount,rw /dev/root /
+}
+
+check_for_mtd() {
+ check_skip || {
+ grep rootfs_data /proc/mtd >/dev/null 2>/dev/null || {
+ mount_no_mtd && pi_mount_skip_next=true
+ }
+ }
+}
+
+boot_hook_add preinit_mount_root check_for_mtd
+